---
title: "log"
excerpt: "Compute the logarithm of the number with respect to an arbitrary base."
layout: manual
---

Compute the logarithm of the number with respect to an arbitrary base.

The result might not be correctly rounded owing to implementation details; `log2()` can produce more accurate results for base 2, and `log10()` can produce more accurate results for base 10.

```js
log(num: number, base: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |
| `base` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> line(end = [log(100, 5), 0])
  |> line(end = [5, 8])
  |> line(end = [-10, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of log 0](data:image/png;base64,[encoded data, 77340 characters])


